let
  bash-test = subdir: { runCommandLocal }:
    runCommandLocal "${subdir}-test" { FLAKE = ../.; }
      ''
        mkdir -p $out/bin
        install ${subdir}/test $out/bin/
      '';
in {
  a2-p1 = bash-test "part1";
  a2-p2 = bash-test "part2";
  a2-p3 = bash-test "part3";
}
